<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.kcim.dao.mapper.ReportColumnMapper">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.kcim.dao.model.ReportColumn" id="reportColumnMap">
        <result property="id" column="id"/>
        <result property="hospId" column="hosp_id"/>
        <result property="reportCode" column="report_code"/>
        <result property="columnCode" column="column_code"/>
        <result property="columnName" column="column_name"/>
        <result property="computeType" column="compute_type"/>
        <result property="computeSource" column="compute_source"/>
        <result property="parentColumnCode" column="parent_column_code"/>
        <result property="sort" column="sort"/>
        <result property="dataType" column="data_type"/>
        <result property="redirect" column="redirect"/>
        <result property="redirectParameter" column="redirect_parameter"/>
        <result property="createUser" column="create_user"/>
        <result property="createTime" column="create_time"/>
        <result property="updateUser" column="update_user"/>
        <result property="updateTime" column="update_time"/>
        <result property="deleteUser" column="delete_user"/>
        <result property="deleteTime" column="delete_time"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>


</mapper>